{
  template: '${tmpl}',
    data: function() {
      return {
        componentloginpageUrl:"",
        wxappinfo:{},
        showComponentloginpageUrl:false,
      }
    },
  mounted: function() {
    this.getWxappInfo();
  },
  created: function() {

  },
  methods: {
    /**获取公众号授权链接 */
    componentloginpage(){
      this.$root.getReq("/wxop/empowerWxop/componentloginpage", null).then(r=>{
        console.log("rrrrrrrrrrr222222222222rrrrrrrrrrrrrr");
        console.log(r);
        if(r && r.code && r.code==1 && r.data){
          var data = r.data;
          data = encodeURIComponent(data);
          data = "http://bigdata.gongsibao.com/api/qc?detailLink="+data;
          this.componentloginpageUrl = data;
          this.showComponentloginpageUrl=true;
        }else{
          this.$message.warning("获取公众号授权二维码失败，请刷新页面后重新操作");
        }
      }).catch(e=>{
        this.$message.warning("获取公众号授权二维码失败，请刷新页面后重新操作");
      })
    },
    getWxappInfo(){
      this.$root.getReq("/web/wxappCtl/getWxappInfo", null).then(r=>{
        console.log("wxapp++++++++++++++++++++++");
        console.log(r);
        if(r && r.code && r.code==1){
          
          this.wxappinfo = r.data;
        }
      })
    },
  
  },
  vname: "gsb_bindSubscription"
}
